POST
/api/admin/merchants/{id}/paychoice/provision
const url = 'https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/paychoice/provision';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/admin/merchants/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/paychoice/provision \ --header 'Authorization: Bearer <token>'Provision the merchant’s profile at PayChoice and capture its profile id + widget GUID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Responses
Section titled “ Responses ”OK
Media type application/json
object
outcome
string
merchant
object
id
string format: uuid
name
string
description
string
contactEmail
string
contactPhone
string
country
string
timeZone
string
isActive
boolean
gatewayConfigured
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
paychoiceEnvironment
string
merchantGuidConfigured
boolean
paychoiceMerchantProfileId
string
billingRetryOffsetsDays
string
billingTerminalAction
string
bankSettlementWindowDays
integer format: int32
guidPending
boolean
message
string
Example
{ "outcome": "Ok", "merchant": { "paychoiceEnvironment": "Staging", "billingTerminalAction": "Cancel" }}Bad Request
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Bad Gateway